BimpДовідка

Валюти: методи API Bimp

Методи API Bimp для ресурсу «Валюти» (/org2/currency/…): 2 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/currency/api-readListA request to view a list of currencies
POST /org2/currency/api-readA request to obtain detailed information for a particular currency

api-readList

POST /org2/currency/api-readList

A request to view a list of currencies

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets

Відповідь: поле data

ПолеТипОпис
[].uuidstring
[].namestring
[].codestring
curl -X POST 'https://app.bimpsoft.com/org2/currency/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/currency/api-read

A request to obtain detailed information for a particular currency

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for a currency

Відповідь: поле data

ПолеТипОпис
uuidstring
namestring
codestring
curl -X POST 'https://app.bimpsoft.com/org2/currency/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.